#!/usr/local/bin/python3

import pandas as pd
df = pd.read_excel("results.xlsx")

## Extract HGT
# https://note.nkmk.me/python-pandas-multiple-conditions/
df_HGT = df[
            (df['BHnum_Streptomyces-coelicolor'] > 0) 
          & (df['BHnum_Arabidopsis-thaliana'] > 0) 
          & (df['BHnum_Saccharomyces-cerevisiae'] < 1) 
          & (df['BHnum_Capsaspora-owczarzaki'] < 1) 
          & (df['BHnum_Salpingoeca-rosetta'] < 1) 
          & (df['BHnum_Monosiga-brevicollis'] < 1) 
          & (df['BHnum_Amphimedon-queenslandica'] < 1) 
          & (df['BHnum_Trichoplax-adhaerens'] < 1) 
          & (df['BHnum_Thelohanellus-kitauei'] < 1) 
          & (df['BHnum_Hydra-vulgaris'] < 1) 
          & (df['BHnum_Acropora-digitifera'] < 1) 
          & (df['BHnum_Mnemiopsis-leidyi'] < 1) 
          & (df['BHnum_Schistosoma-mansoni'] < 1) 
          & (df['BHnum_Capitella-teleta'] < 1) 
          & (df['BHnum_Notospermus-geniculatus'] < 1) 
          & (df['BHnum_Phoronis-australis'] < 1) 
          & (df['BHnum_Octopus-bimaculoides'] < 1) 
          & (df['BHnum_Biomphalaria-glabrata'] < 1) 
          & (df['BHnum_Crassostrea-gigas'] < 1) 
          & (df['BHnum_Pinctada-fucata'] < 1) 
          & (df['BHnum_Priapulus-caudatus'] < 1) 
          & (df['BHnum_Trichinella-spiralis'] < 1) 
          & (df['BHnum_Caenorhabditis-elegans'] < 1) 
          & (df['BHnum_Limulus-polyphemus'] < 1) 
          & (df['BHnum_Strigamia-maritima'] < 1) 
          & (df['BHnum_Hyalella-azteca'] < 1) 
          & (df['BHnum_Pediculus-humanus'] < 1) 
          & (df['BHnum_Zootermopsis-nevadensis'] < 1) 
          & (df['BHnum_Rhodnius-prolixus'] < 1) 
          & (df['BHnum_Nasonia-vitripennis'] < 1) 
          & (df['BHnum_Dendroctonus-ponderosae'] < 1) 
          & (df['BHnum_Bombyx-mori'] < 1) 
          & (df['BHnum_Drosophila-melanogaster'] < 1) 
          & (df['BHnum_Strongylocentrotus-purpuratus'] < 1) 
          & (df['BHnum_Acanthaster-planci'] < 1) 
          & (df['BHnum_Saccoglossus-kowalevskii'] < 1) 
          & (df['BHnum_Ptychodera-flava'] < 1) 
          & (df['BHnum_Branchiostoma-belcheri'] < 1) 
          & (df['BHnum_Branchiostoma-floridae'] < 1) 
          & (df['BHnum_Gallus-gallus-E102'] < 1) 
          & (df['BHnum_Homo-sapiens-E102'] < 1) 
          & (df['BHnum_Oikopleura-dioica'] > 0) 
          & (df['BHnum_Salpa-thompsoni'] > 0) 
          & (df['BHnum_Botrylloides-leachii'] > 0) 
          & (df['BHnum_Botryllus-schlosseri'] > 0) 
          & (df['BHnum_Molgula-occidentalis'] > 0) 
          & (df['BHnum_Molgula-oculata'] > 0) 
          & (df['BHnum_Ciona-savignyi'] > 0) 
          & (df['BHnum_Ciona-intestinalis'] > 0)
          ]
print("len df_HGT", len(df_HGT))
df_HGT.to_csv('df_HGT.csv',index=False)
#print("#####")

### Extract orthoscope with BS criterion
df_orthogroup = pd.DataFrame(columns=df.columns)
for index, row in df.iterrows():
    if str(row['BS_of_orthogroupBasalNode']).isdigit():
        df_orthogroup.loc[index] = row
print("len df_orthogroup", len(df_orthogroup))

### Lost in cephalochordate ancestor
df_CephaA_VertP_UroP = df_orthogroup[
            (df_orthogroup['OGnum_Branchiostoma-belcheri'] < 1) 
          & (df_orthogroup['OGnum_Branchiostoma-floridae'] < 1) 
          & (df_orthogroup['OGnum_Gallus-gallus-E102'] > 0) 
          & (df_orthogroup['OGnum_Homo-sapiens-E102'] > 0)
          ]

print("len df_CephaA_VertP_UroP", len(df_CephaA_VertP_UroP))
df_CephaA_VertP_UroP.to_csv('df_CephaA_VertP_UroP.csv',index=False)
#print("#####")

### Lost in vertebrate ancestor
df_CephaP_VertA_UroP = df_orthogroup[
            (df_orthogroup['OGnum_Branchiostoma-belcheri'] > 0) 
          & (df_orthogroup['OGnum_Branchiostoma-floridae'] > 0) 
          & (df_orthogroup['OGnum_Gallus-gallus-E102'] < 1) 
          & (df_orthogroup['OGnum_Homo-sapiens-E102'] < 1)
          ]
print("len df_CephaP_VertA_UroP", len(df_CephaP_VertA_UroP))
df_CephaP_VertA_UroP.to_csv('df_CephaP_VertA_UroP.csv',index=False)




