#!/usr/local/bin/python3

import pandas as pd
df = pd.read_excel("results.xlsx")

## eDNA
# https://note.nkmk.me/python-pandas-multiple-conditions/
### Extract orthoscope with BS criterion
df_orthogroup = pd.DataFrame(columns=df.columns)
for index, row in df.iterrows():
    if str(row['BS_of_orthogroupBasalNode']).isdigit():
        df_orthogroup.loc[index] = row
print("len df_orthogroup", len(df_orthogroup))

# teleost monophyly
df_teleost_monophyly = pd.DataFrame(columns=df.columns)
for index, row in df_orthogroup.iterrows():
    if str(row['BS_of_Teleostei_monophyly']).isdigit():
        df_teleost_monophyly.loc[index] = row
print("len df_teleost_monophyly", len(df_teleost_monophyly))

# speciation at basal teleost node
df_teleost_speciation = df_teleost_monophyly[
            (df_teleost_monophyly['dupStatus_Teleostei'] == "D=N") 
          ]
print("len df_teleost_speciation", len(df_teleost_speciation))
df_teleost_speciation.to_csv('df_teleost_speciation.csv',index=False)

# duplication at basal teleost node
df_teleost_duplication = df_teleost_monophyly[
            (df_teleost_monophyly['dupStatus_Teleostei'] == "D=Y") 
          ]
print("len df_teleost_duplication", len(df_teleost_duplication))
df_teleost_duplication.to_csv('df_teleost_duplication.csv',index=False)

# eDNA markers
df_teleost_eDNA = df_teleost_speciation[
            (df_teleost_speciation['OGnum_Pangasianodon-hypophthalmus'] == 1) 
          & (df_teleost_speciation['OGnum_Danio-rerio'] == 1) 
          & (df_teleost_speciation['OGnum_Esox-lucius'] == 1) 
          & (df_teleost_speciation['OGnum_Oncorhynchus-kisutch'] == 1) 
          & (df_teleost_speciation['OGnum_Tetraodon-nigroviridis'] == 1) 
          & (df_teleost_speciation['OGnum_Oryzias-latipes'] == 1) 
          ]
print("len df_teleost_eDNA", len(df_teleost_eDNA))
df_teleost_eDNA.to_csv('df_teleost_eDNA.csv',index=False)
